<?
/*  Calendar - GuppY PHP Script - version 4.0
    GPL Copyright (C) 2002-2004 by Laurent Duveau
    Made by Laurent Duveau, Nicolas Alves and Team
      Web site = http://www.freeguppy.org/
      e-mail   = info@aldweb.com

    Version History :            
      v4.0 (06 December 2004)     : Public holidays calendar, initial release (by Icare)
	  
*/

if (stristr($_SERVER["SCRIPT_NAME"], "en-special.inc")) {
  header("location:../index.php");
  die();
}

function cal_ferie($jour,$mois,$annee)
{   
    // calcul date de Pques ( evaluation Easter day)
    $jref = $jour."/".$mois ;
    $jf1 = $annee-1900;
    $jf2 = $jf1%19;
    $jf3 = intval((7*$jf2+1)/19);
    $jf4 = (11*$jf2+4-$jf3)%29;
    $jf5 = intval($jf1/4);
    $jf6 = ($jf1+$jf5+31-$jf4)%7;
    $jfj = 25-$jf4-$jf6;
    $jfm = 4;   
    if ($jfj <= 0)
    { $jfm = 3; $jfj = $jfj + 31;}
    $paques = (($jfj < 10) ? "0".$jfj : $jfj)."/".(($jfm < 10) ? "0".$jfm : $jfm);
	// dtermination des autres ftes religieuses mobiles (other feasts days)
    $fripaq = date("d/m",mktime(12,0,0,$jfm,$jfj-2,$annee));   // Good friday (before Easter)
    $lunpaq = date("d/m",mktime(12,0,0,$jfm,$jfj+1,$annee));   // Easter monday
    $ascens = date("d/m",mktime(12,0,0,$jfm,$jfj+39,$annee));  // Ascension day
    $lunpent = date("d/m",mktime(12,0,0,$jfm,$jfj+50,$annee)); // Whitsun monday
	
	// liste des jours fris de l'anne, jj/mm (all public holidays of the year, dd/mm)
	//  -----        you can add or change your public holidays here     -------
    $ferie = array(1 => "01/01", "$fripaq", "$paques", "$lunpaq", "01/05", "$ascens", 
	"$lunpent", "15/08", "01/11", "25/12", "26/12");
	
    for ($i=1; $i<=count($ferie); $i++) {
        if ($jref == ($ferie[$i])) {
		    $ferie = $ferie[$i];
            return ('oui'); 
		}
    }
     return ('non');
}
?>
